Skip to main content
PUT
/
api
/
v
{version}
/
permissions
/
grants
cURL
curl --request PUT \
  --url https://identity.payven.com.tr/api/v{version}/permissions/grants \
  --header 'Content-Type: application/json' \
  --data '
{
  "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "featureCode": "<string>",
  "grants": [
    {
      "permissionName": "<string>",
      "grantedRoles": [
        "<string>"
      ]
    }
  ]
}
'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "added": 123,
    "removed": 123,
    "unchanged": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

version
string
required

Body

tenantId
string<uuid>
featureCode
string | null
grants
object[] | null

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object